Get project stats by Stream ID
curl --request GET \
--url https://api.moralis-streams.com/stats/{streamId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.moralis-streams.com/stats/{streamId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.moralis-streams.com/stats/{streamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalWebhooksDelivered": 123,
"totalWebhooksFailed": 123,
"totalLogsProcessed": 123,
"totalTxsProcessed": 123,
"totalTxsInternalProcessed": 123,
"streams": [
{
"totalWebhooksDelivered": 123,
"totalWebhooksFailed": 123,
"totalLogsProcessed": 123,
"totalTxsProcessed": 123,
"totalTxsInternalProcessed": 123,
"streamId": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Stats
Get Stats by Stream
Get the stats for the streamId specified
GET
/
stats
/
{streamId}
Get project stats by Stream ID
Authorizations
Path Parameters
Response
200 - application/json
Ok
The total amount of webhooks delivered across all streams
The total amount of failed webhooks across all streams
The total amount of logs processed across all streams, this includes failed webhooks
The total amount of txs processed across all streams, this includes failed webhooks
The total amount of internal txs processed across all streams, this includes failed webhooks
Array of stream stats
Show child attributes
Show child attributes
The date since this stats are being counted
The date since this stats were last updated

